SG_READ_BLOCK_LIMITS(8)

NAME
sg_read_block_limits - send SCSI READ BLOCK LIMITS command

SYNOPSIS
sg_read_block_limits [--help] [--hex] [--mloi] [--raw] [--readonly] [--verbose] [--version] DEVICE

DESCRIPTION
Send a SCSI READ BLOCK LIMITS command to DEVICE and outputs the response. This command is defined for tape (drives) and its description is found in the SSC documents at https://www.t10.org .

OPTIONS
Arguments to long options are mandatory for short options as well.

-h, --help
    output the usage message then exit.

-H, --hex
    output response in hex (rather than decode it).

-m, --mloi
    sets the MLOI bit in the READ BLOCK LIMITS command and if that succeeds, prints out the Maximum Logical Object Identifier (MLOI) value. The MLOI bit was introduced in the ssc4r02.pdf draft.

-r, --raw
    output response in binary to stdout.

-R, --readonly
    open DEVICE in read-only mode. The default is to open it in read-write mode.

-v, --verbose
    increase the level of verbosity, (i.e. debug output).

-V, --version
    print the version string and then exit.

EXIT STATUS
The exit status of sg_read_block_limits is 0 when it is successful. Otherwise see the sg3_utils(8) man page.

EXAMPLES
It is usually okay to use no options. Here is an invocation (on the first line following the "#" command prompt) followed by some typical output:

   # sg_read_block_limits /dev/st0
   Read Block Limits results:
     Minimum block size: 1 byte(s)
     Maximum block size: 16777215 byte(s), 16383 KB, 15 MB
     Granularity: 0

AUTHORS
Written by Douglas Gilbert.

REPORTING BUGS
Report bugs to <dgilbert at interlog dot com>.

COPYRIGHT
Copyright © 2009-2022 Douglas Gilbert
This software is distributed under a BSD-2-Clause license. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
sg3_utils(sg3_utils)